#!/usr/bin/python3
import numpy as np
import matplotlib.pyplot as plt
from matplotlib import rc
#rc('font',**{'family':'serif','serif':['Computer Modern']})
#rc('text', usetex=True)
from scipy.special import ellipe,ellipk
from boris import *

m = m_el
q = e
i = 5 # tok v ovoju

a = 0.5 # ovoj

v0 = np.array([0.0,-0.2,0.1])
x0 = np.array([.1, 0.,0.])
E = lambda x: np.array([0.,0.,0.])
B = lambda x: B_bottle(x, a, a/2, i)
dt = 1e-2
tdur = 10
#print(tdur/dt)

X,V = boris(x0, v0, E, B, dt, tdur, q, m)
plot3(X)
